package org.dromara.system.mapper;

import org.dromara.system.domain.RegisterSchool;
import org.dromara.system.domain.vo.RegisterSchoolVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

/**
 * 注册-学校Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface RegisterSchoolMapper extends BaseMapperPlus<RegisterSchool, RegisterSchoolVo> {
    RegisterSchoolVo selectRegisterSchooByOppenId(String openId);

    void deleteRegisterSchoolByOpenId(String openId);

    RegisterSchoolVo selectRegisterSchooByPhonenumber(String phonenumber);

    void deleteRegisterSchoolByPhonenumber(String phonenumber);
}
